CREATE TABLE triprate(
	triprateid BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL,
	businessid BIGINT,
	uuid VARCHAR(36) NOT NULL,
	created TIMESTAMP NOT NULL,
	updated TIMESTAMP,
	name VARCHAR(15) NOT NULL,
	distanceunit VARCHAR(255),
	rate NUMERIC,
	currency VARCHAR(255),
	enabled BOOLEAN,
	PRIMARY KEY(triprateid),
	CONSTRAINT fk_triprate_businessid FOREIGN KEY(businessid) REFERENCES PUBLIC.business(businessid)
)

CREATE TABLE trip(
	tripid BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL,
	uuid VARCHAR(36) NOT NULL,
	created TIMESTAMP NOT NULL,
	updated TIMESTAMP,
	projectid BIGINT,
	startlocation VARCHAR(255),
	endlocation VARCHAR(255),
	starttime TIMESTAMP,
	endtime TIMESTAMP,
	distance BIGINT,
	distanceunit VARCHAR(255),
	description VARCHAR(50),
	tags VARCHAR(255),
	billable BOOLEAN,
	itemid BIGINT,
	triprateid BIGINT,
	PRIMARY KEY(tripid),
	CONSTRAINT fk_trip_projectid FOREIGN KEY(projectid) REFERENCES PUBLIC.project(projectid),
	CONSTRAINT fk_trip_itemid FOREIGN KEY(itemid) REFERENCES PUBLIC.item(itemid),
	CONSTRAINT fk_trip_triprateid FOREIGN KEY(triprateid) REFERENCES PUBLIC.triprate(triprateid)
)

ALTER TABLE project ADD tripbillable BOOLEAN;
UPDATE project SET tripbillable=TRUE;